#ifndef __OS_DECL__
#define __OS_DECL__

#define			OSALIGN(a)	((unsigned long)(a)|0x80000000L)

/******************************************************************************/
#ifdef __cplusplus
extern "C" {
#endif
#pragma save,name(prefix=>"")

typedef struct {
	unsigned long event;
	unsigned long size;
	char far *bufptr;
} CMEMERRDATA;

#ifndef _WIN
#ifdef HEAPCHK
void far *     Cla$farcalloc(unsigned long num, unsigned long size, char *, unsigned);
#else
void far *     Cla$farcalloc(unsigned long num, unsigned long size);
#endif
#endif
unsigned		Cla$_OS_init	(void);
unsigned		Cla$_OS_get_parm(char far *cmdlin, char far *parm, unsigned ndx);
#ifndef _WIN
#ifndef COMPILER
void far *		Cla$_OS_addptr32(void far *p, unsigned long n);
#endif
#endif
void far *		Cla$_OS_memset	(char far *buf, int c, unsigned long len );
void far *		Cla$_OS_memcpy	(char far *dest, char far *src, unsigned long len );
void			Cla$_OS_minmem	(void);
void			Cla$_OS_maxmem	(void);
unsigned long	Cla$_OS_memleft (void);
void			Cla$_OS_putmem	(void far *buf, unsigned long size );
void far *		Cla$_OS_getmem	(unsigned long size );

void far *		Cla$_OS_malloc( unsigned long size );
void far *		Cla$_OS_calloc(unsigned long count, unsigned long size );
unsigned long	Cla$_OS_coreleft(void);
unsigned		Cla$_OS_free(void far *buf);
int 			Cla$getxerr(void);
unsigned 		Cla$lock(int handle, long offset, long length, unsigned secs);
void 			Cla$fileinit(void);
void 			Cla$OS_setelapse(unsigned long *start_time);
unsigned long 	Cla$OS_elapse(unsigned long *start_time, unsigned divisor);
unsigned        Cla$Seg2Sel(unsigned seg);

					// contains xstructor priority for current mem handler
extern  unsigned	Cla$MemGod;	
extern	unsigned	Cla$_BaseSeg;	/* Start of OS memory block */
extern	unsigned	Cla$_EndAlloc;	/* End of OS memory block */
extern  char        Cla$UserBreak;  // Non-Zero if inside Ctl-Break Processing.

#pragma restore
#ifdef __cplusplus
}
#endif
#endif
