/*----------------------------------------------------------
 * Built-in property constants for CW
 *----------------------------------------------------------*/

#define PROPPRINTdevmode      (0x7B00)  // Entire devmode structure - see WINDOWS SDK
#define PROPPRINTpaper        (0x7B01)  // standard paper size (PAPER:xxx)
#define PROPPRINTpaperheight  (0x7B02)  // paper height (in 10th mm)
#define PROPPRINTpaperwidth   (0x7B03)  // paper width (in 10th mm)
#define PROPPRINTpercent      (0x7B04)  // scaling factor
#define PROPPRINTcopies       (0x7B05)  // number of copies
#define PROPPRINTpaperbin     (0x7B06)  // paper source (PAPERBIN:xxx)
#define PROPPRINTresolution   (0x7B07)  // in DPI or RESOLUTION:xxx
#define PROPPRINTcolor        (0x7B08)  // 1=mono, 2=color
#define PROPPRINTduplex       (0x7B09)  // duplex mode (DUPLEX::xxx)
#define PROPPRINTyresolution  (0x7B0A)  // in DPI
#define PROPPRINTfontmode     (0x7B0B)  // TrueType font mode (FONTMODE:xxx)

#define PROPPRINTprinttofile  (0x7B20)  // 0 or 1
#define PROPPRINTprinttoname  (0x7B21)  // output filename
#define PROPPRINTfrompage     (0x7B22)  // specify -1 to print from start
#define PROPPRINTtopage       (0x7B23)  // specify -1 to print to end
#define PROPPRINTfrommax      (0x7B24)  // specify -1 to disable ranges
#define PROPPRINTtomax        (0x7B25)  // specify -1 to disable ranges
#define PROPPRINTcollate      (0x7B26)  // 0 or 1
#define PROPPRINTdriver       (0x7B27)  // driver DLL filename (no extension)
#define PROPPRINTdevice       (0x7B28)  // driver description or printer number
#define PROPPRINTport         (0x7B29)  // output port name
#define PROPPRINTcontext      (0x7B2A)  // handle to printer device context
                                        // or information context before first PRINT
