/*----------------------------------------------------------
 * Built-in list field property constants for CDDW
 * These are not public (as yet)
 *----------------------------------------------------------*/

#define PROPLISTfirst          0x7E00

#define PROPLISTunderline      0x7E00
#define PROPLISTresize         0x7E01
#define PROPLISTrightborder    0x7E02
#define PROPLISTheader         0x7E03
#define PROPLISTwidth          0x7E04
#define PROPLISTpicture        0x7E05
#define PROPLISTfixed          0x7E06
#define PROPLISTscroll         0x7E07
#define PROPLISTlastonline     0x7E08
#define PROPLISTlocator        0x7E09
#define PROPLISTresvd1         0x7E0A
#define PROPLISTresvd2         0x7E0B
#define PROPLISTresvd3         0x7E0C
#define PROPLISTresvd4         0x7E0D

#define PROPLISTleft           0x7E10
#define PROPLISTleftoffset     0x7E11
#define PROPLISTright          0x7E12
#define PROPLISTrightoffset    0x7E13
#define PROPLISTcenter         0x7E14
#define PROPLISTcenteroffset   0x7E15
#define PROPLISTdecimal        0x7E16
#define PROPLISTdecimaloffset  0x7E17

#define PROPLISTheaderleft           0x7E18
#define PROPLISTheaderleftoffset     0x7E19
#define PROPLISTheaderright          0x7E1A
#define PROPLISTheaderrightoffset    0x7E1B
#define PROPLISTheadercenter         0x7E1C
#define PROPLISTheadercenteroffset   0x7E1D
#define PROPLISTheaderdecimal        0x7E1E
#define PROPLISTheaderdecimaloffset  0x7E1F

#define PROPLISTicon           0x7E20
#define PROPLISTcolor          0x7E21
#define PROPLISTtree           0x7E22
#define PROPLISTtreelines      0x7E23
#define PROPLISTtreeboxes      0x7E24
#define PROPLISTtreeindent     0x7E25
#define PROPLISTtreeoffset     0x7E26

#define PROPLISTexists         PROPLISTresvd1
#define PROPLISTmoveleft       PROPLISTresvd2
#define PROPLISTmoveright      PROPLISTresvd3
#define PROPLISTgroupcount     PROPLISTresvd4

#define PROPLISTgroup          0x0040  // add to PROPLIST property above

#define PROPLISTlast           0x7E7F  // Last of the field-specific ones

#define PROPLISTMouseDownRow   0x7C20
#define PROPLISTMouseMoveRow   0x7C21
#define PROPLISTMouseUpRow     0x7C22
#define PROPLISTMouseDownField 0x7C23
#define PROPLISTMouseMoveField 0x7C24
#define PROPLISTMouseUpField   0x7C25
#define PROPLISTMouseDownZone  0x7C26
#define PROPLISTMouseMoveZone  0x7C27
#define PROPLISTMouseUpZone    0x7C28
#define PROPLISTbarcolor       0x7C29

#define LISTZONEfield       0
#define LISTZONEright       1
#define LISTZONEheader      2
#define LISTZONEexpandbox   3
#define LISTZONEtree        4
#define LISTZONEicon        5
#define LISTZONEnowhere     6
